Skip to main content

Fetch Payment Source

GET 

/payments/:id/source

Fetch the extended source object for a payment. In addition to the standard source fields, this returns operational details that are not part of a normal payment response — acquirer references, terminal, gateway, reconciliation date, and the network (scheme) transaction IDs for the authorization/purchase, capture, void, and refund. The response shape depends on the payment's source type.

Request

Path Parameters

    id uuidrequired

    ID of the payment whose source to fetch

Responses

Successful operation

Schema

    oneOf

    type stringrequired

    Possible values: [creditcard]

    company Company (string)required

    Possible values: [mada, visa, master, amex, unionpay]

    The scheme through which the payment is processed.

    name stringrequired

    Card holder name

    number MaskedPanNumber (string)required

    Masked card number showing first six and last four digits.

    gateway_id stringrequired

    ID used for the backing acquirer gateway (MPG, MPGS or Cybersource).

    token stringrequired

    Token that is created using this payment.

    message stringrequired

    Human readable string representing the transaction result.

    transaction_url urirequired

    3D Secure challenge URL. Only returned when payment is initiated.

    reference_number RetrievalReferenceNumber (string)required

    Possible values: Value must match regular expression ^\d{12}$

    The RRN or retrieval reference number. This is a unique number for the transaction generated by the acquirer gateway and is sent to the issuer during the authorization process.

    This number is not unique across schemes (e.g. Visa and mada).

    This number can be useful in tracking the payment in the card holder account statement.

    authorization_code AuthorizationCode (string)

    Possible values: Value must match regular expression ^\d{6}$

    A six-digit number returned by the issuer in response to a successful authorization process.

    response_code ResponseCode (string)

    A two-digit string representing the authorization result (ISO 8583).

    Response code 00 indicates that the payment is approved by the issuer. Please refer to the response code table in the documentation for more information.

    issuer_name string

    Name of the card issuing bank. This name is inferred based on the card BIN or IIN.

    issuer_country string

    Origin country of the card issuer. A two-letter ISO 3166 code.

    issuer_card_type IssuerCardType (string)

    Possible values: [debit, credit, charge_card, unspecified]

    issuer_card_category IssuerCardCategory (string)

    Indicates the card category or product type, e.g., Platinum, Signature, etc.

    This field is a human readable text and does not have a defined set of values.

    terminal string

    Acquirer terminal ID used for the transaction.

    gateway_name string

    Backing acquirer gateway that processed the transaction.

    reconciliation_date string

    Acquirer reconciliation (settlement) date.

    failure_reason string

    Machine-readable failure reason when the transaction failed.

    refund_reference string

    Acquirer reference for the refund operation.

    void_reference string

    Acquirer reference for the void operation.

    capture_reference string

    Acquirer reference for the capture operation.

    network_transaction_id string

    Network (scheme) transaction ID for the authorization/purchase.

    refund_network_transaction_id string

    Network (scheme) transaction ID for the refund.

    void_network_transaction_id string

    Network (scheme) transaction ID for the void.

    capture_network_transaction_id string

    Network (scheme) transaction ID for the capture.

    statement_descriptor string

    Statement descriptor sent to the issuer for the transaction.

Loading...